org.apache.jmeter.protocol.http.curl

## Class BasicCurlParser.Request

- java.lang.Object
- - org.apache.jmeter.protocol.http.curl.BasicCurlParser.Request

- Enclosing class:
    BasicCurlParser

      public static final class BasicCurlParser.Request
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeader(java.lang.String name, java.lang.String value)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getHeaders()`
    `java.lang.String` | `getMethod()`
    `java.lang.String` | `getPostData()`
    `java.lang.String` | `getUrl()`
    `boolean` | `isCompressed()`
    `void` | `setCompressed(boolean compressed)`
    `void` | `setMethod(java.lang.String method)`
    `void` | `setPostData(java.lang.String value)`
    `void` | `setUrl(java.lang.String url)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request()

  - ### Method Detail

    - #### isCompressed

          public boolean isCompressed()

      Returns:
        the compressed

    - #### setCompressed

          public void setCompressed(boolean compressed)

      Parameters:
        `compressed` - the compressed to set

    - #### addHeader

          public void addHeader(java.lang.String name,
                                java.lang.String value)

    - #### getUrl

          public java.lang.String getUrl()

      Returns:
        the url

    - #### setUrl

          public void setUrl(java.lang.String url)

      Parameters:
        `url` - the url to set

    - #### getHeaders

          public java.util.Map<java.lang.String,java.lang.String> getHeaders()

      Returns:
        the headers

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMethod

          public java.lang.String getMethod()

    - #### setMethod

          public void setMethod(java.lang.String method)

      Parameters:
        `method` - the method to set

    - #### setPostData

          public void setPostData(java.lang.String value)

    - #### getPostData

          public java.lang.String getPostData()

      Returns:
        the postData

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.